Bug 1413409 - MIsleading error message output by kernel
Summary: MIsleading error message output by kernel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 20:37 UTC by David Wells
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:10:11 UTC
Type: Bug


Attachments (Terms of Use)
dmesg snippet for kernel with problem (103.53 KB, image/png)
2017-01-15 20:37 UTC, David Wells
no flags Details
dmesg snippet for kernel that does not show problem. (83.87 KB, image/png)
2017-01-15 20:38 UTC, David Wells
no flags Details

Description David Wells 2017-01-15 20:37:20 UTC
Created attachment 1241003 [details]
dmesg snippet for kernel with problem

Description of problem:
Seeing issue with latest kernel 4.9.3-200.fc25.x86_64 when booting on a Thinkpad T440p. The issue is new in this version of the kernel and does not occur in 4.8.16-300.fc25.x86_64 that I was running prior to updating to the new release.

Problem is that the system now shows a message during boot that states:

A TPM error (6) occurred attempting to read a pcr value

This message does not occur if I reboot using the previous kernel version. 

Version-Release number of selected component (if applicable):

kernel 4.9.3-200.fc25.x86_64

How reproducible:

Happens every time if I boot with this kernel version. Never happens when boot with previous kernel version 4.8.16-300.fc25.x86_64

Steps to Reproduce:
1. Simply boot sytem - message appears on console during boot and is in dmesg
2.
3.

Actual results:
Error message is output

Expected results:
No error message is output

Additional info:
Below are kernel details followed by the relevant portion of dmesg output for latest kernel version that shows the problem:

$ uname -a
Linux black-sun4 4.9.3-200.fc25.x86_64 #1 SMP Fri Jan 13 01:01:13 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

snippet from dmesg:

[    4.976199] tpm_tis 00:05: 1.2 TPM (device-id 0x0, rev-id 78)
[    4.982126] EDAC ie31200: No ECC support
[    4.988948] wmi: Mapper loaded
[    4.998410] thinkpad_acpi: ThinkPad ACPI Extras v0.25
[    4.998412] thinkpad_acpi: http://ibm-acpi.sf.net/
[    4.998412] thinkpad_acpi: ThinkPad BIOS GLET83WW (2.37 ), EC unknown
[    4.998413] thinkpad_acpi: Lenovo ThinkPad T440p, model 20ANCTO1WW
[    4.999110] thinkpad_acpi: radio switch found; radios are enabled
[    4.999126] thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
[    4.999126] thinkpad_acpi: Disabling thinkpad-acpi brightness events by default...
[    5.000617] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is unblocked
[    5.002054] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    5.003971] input: ThinkPad Extra Buttons as /devices/platform/thinkpad_acpi/input/input10
[    5.054182] tpm tpm0: A TPM error (6) occurred attempting to read a pcr value
[    5.054222] tpm tpm0: TPM is disabled/deactivated (0x6)

Have also attached screen shots of dmesg output for kernel that work and one that doesn't.

Comment 1 David Wells 2017-01-15 20:38:22 UTC
Created attachment 1241004 [details]
dmesg snippet for kernel that does not show problem.

Comment 2 Jiri Canderle 2017-04-10 06:27:35 UTC
I am seeing it on Fedora 25  kernel 4.10.8 on Lenovo X240:

[    0.000000] microcode: microcode updated early to revision 0x1f, date = 2016-04-01
[    0.000000] Linux version 4.10.8-200.fc25.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 6.3.1 20161221 (Red Hat 6.3.1-1) (GCC) ) #1 SMP Fri Mar 31 13:20:22 UTC 2017
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-4.10.8-200.fc25.x86_64 root=/dev/mapper/fedora_dhcp--24--116-root ro rd.lvm.lv=fedora_dhcp-24-116/root rd.lvm.lv=fedora_dhcp-24-116/swap rd.luks.uuid=luks-05ce51f7-6d9b-489c-95ca-ba053ba06c58 rhgb quiet LANG=en_US.UTF-8 crashkernel=128M


[   27.810908] tpm tpm0: A TPM error (6) occurred attempting to read a pcr value
[   27.810912] tpm tpm0: TPM is disabled/deactivated (0x6)

Comment 3 Justin M. Forbes 2017-04-11 14:55:14 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 Jiri Canderle 2017-04-12 14:53:43 UTC
[    0.000000] microcode: microcode updated early to revision 0x1f, date = 2016-04-01
[    0.000000] Linux version 4.11.0-0.rc5.git0.1.fc26.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 7.0.1 20170309 (Red Hat 7.0.1-0.12) (GCC) ) #1 SMP Mon Apr 3 17:54:15 UTC 2017
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-4.11.0-0.rc5.git0.1.fc26.x86_64 root=/dev/mapper/fedora_dhcp--24--116-root ro rd.lvm.lv=fedora_dhcp-24-116/root rd.lvm.lv=fedora_dhcp-24-116/swap rd.luks.uuid=luks-05ce51f7-6d9b-489c-95ca-ba053ba06c58 rhgb quiet LANG=en_US.UTF-8 crashkernel=128M
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[    0.000000] x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
[    0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: LENOVO 20AMS22U0A/20AMS22U0A, BIOS GIET76WW (2.26 ) 08/27/2014

[   16.080344] tpm_tis 00:05: 1.2 TPM (device-id 0x0, rev-id 78)
[   16.123112] tpm tpm0: A TPM error (6) occurred attempting to read a pcr value
[   16.123117] tpm tpm0: TPM is disabled/deactivated (0x6)

Comment 5 David Wells 2017-04-12 16:22:02 UTC
(In reply to Justin M. Forbes from comment #3)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 25 kernel bugs.
> 
> Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
> 
> If you have moved on to Fedora 26, and are still experiencing this issue,
> please change the version to Fedora 26.
> 
> If you experience different issues, please open a new bug report for those.

Justin

I will test with 4.10.9 once it is pushed to the release FC25 channel. Currently I am running 4.10.8 and still see the issue. Details below:

$ uname -a
Linux black-sun4 4.10.8-200.fc25.x86_64 #1 SMP Fri Mar 31 13:20:22 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ dmesg | grep TPM
[    5.033542] tpm_tis 00:05: 1.2 TPM (device-id 0x0, rev-id 78)
[    5.075547] tpm tpm0: A TPM error (6) occurred attempting to read a pcr value
[    5.075589] tpm tpm0: TPM is disabled/deactivated (0x6)

The message "A TPM error (6) occurred attempting to read a pcr value" is what appears during boot. In addition there is also now another message showing up at the same time, at least since the last few kernel releases. I don't think it is related so it may be appropriate to file a different bug for this. The additional message that appears is "Error parsing PCC subspaces from PCCT" which shows up in dmesg as:

$ dmesg | grep PCC
[    0.000000] ACPI: PCCT 0x00000000DCEDA000 00006E (v05 LENOVO TP-GL    00002390 PTEC 00000002)
[    0.478679] Error parsing PCC subspaces from PCCT

Will update once am on the 4.10.9 kernel.

Comment 6 David Wells 2017-06-14 10:52:35 UTC
Justin

I am now running:

$ uname -a
Linux black-sun4 4.11.3-202.fc25.x86_64 #1 SMP Mon Jun 5 16:38:21 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

The two issues mentioned already are still occurring along with a third message that appears during boot. The full set of messages that I see are below - these are copied from dmesg output:

0.469334] Error parsing PCC subspaces from PCCT

[0.480158] ACPI Error: Needed type [Reference], found [Integer] ffff91b14dcfd750 (20170119/exresop-103)
[    0.480218] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170119/dswexec-461)
[    0.480279] ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] (Node ffff91b14dcf1528), AE_AML_OPERAND_TYPE (20170119/psparse-543)

[    4.828021] tpm tpm0: A TPM error (6) occurred attempting to read a pcr value

As these are all from the kernel I have added them to this ticket. If you would rather there are separate tickets for each issue then please let me know.

Not sure if it is related to any of the above but yesterday was the first time I had a total lock up on this machine that required a power cycle, not seen that with linux for years.

Also, just to eliminate the above issues being specific to my machine I see exactly the same behaviour on my wife's machine, and identical T440p.

Hopefully this will assist in getting to the bottom of the issues.

Dave

Comment 7 john getsoian 2017-06-19 21:34:24 UTC
f25, Also Lenovo, this is a t450s/I5-5300u. Kernel 4.11.5-200

same set of error messages as David Wells above. No apparent fault being created however.

regards
jg

Comment 8 Laura Abbott 2018-02-28 03:58:23 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 9 David Wells 2018-02-28 10:22:49 UTC
Hi Laura

I am still on Fedora 26. System is fully patched as of this morning.

[dave@black-sun4 ~]$ uname -a
Linux black-sun4 4.15.4-200.fc26.x86_64 #1 SMP Mon Feb 19 19:43:32 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I still see errors during boot. The following copied from dmesg output are what I see on the screen during boot:

[    0.027072] Error parsing PCC subspaces from PCCT
[    0.037659] ACPI Error: Needed type [Reference], found [Integer] 00000000f59bdefd (20170831/exresop-103)
[    0.037719] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170831/dswexec-461)
[    0.037780] ACPI Error: Method parse/execution failed \_PR.CPU0._PDC, AE_AML_OPERAND_TYPE (20170831/psparse-550)

So, now change with the latest kernel.

Hope this helps. If you need any more detail collecting just let me know.

Best regards
Dave

Comment 10 David Wells 2018-02-28 10:25:15 UTC
Typo in previous post - should read "So, no change with the latest kernel"

Comment 11 Fedora End Of Life 2018-05-03 09:04:49 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2018-05-29 11:33:46 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 David Wells 2018-05-29 11:56:05 UTC
Re-opening as bug still exists in Fedora 27.

Running latest version:

Linux 4.16.11-200.fc27.x86_64 #1 SMP Tue May 22 18:36:25 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Dave

Comment 14 David W. Legg 2018-07-13 08:55:57 UTC
Still a problem in fc27 in July 2018:

> uname -a
Linux arcturus.lan 4.17.3-100.fc27.x86_64 #1 SMP Tue Jun 26 14:19:03 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux


'Jul 13 09:48:22 arcturus kernel: tpm tpm0: A TPM error (7) occurred attempting get random'

Comment 15 Ben Cotton 2018-11-27 15:00:02 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 22:10:11 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.